import { CrontabModel } from "../models/crontab-model";
export declare class CrontabService {
    updateModel(model: CrontabModel): void;
    parse(crontab: string, customMode: boolean): CrontabModel;
    private padWithZero;
    private isNullOrWhiteSpace;
    private isValidMinutesOrSeconds;
    private isValidHours;
    private isValidTime;
    private isValidDayOfMonth;
    private computeEverySecondCrontab;
    private computeEveryMinuteCrontab;
    private computeEveryHourCrontab;
    private computeEveryDayCrontab;
    private computeEveryWeekDayCrontab;
    private computeEveryNthDayOfWeekCrontab;
    private computeNDayInMonthCrontab;
    private computeLastMonthDay;
    private computeCustom;
}
