import { CrontabMode } from "./crontab-mode";
export declare class CrontabModel {
    constructor(init?: Partial<CrontabModel>);
    mode: CrontabMode;
    monday: boolean;
    tuesday: boolean;
    wednesday: boolean;
    thursday: boolean;
    saturday: boolean;
    friday: boolean;
    sunday: boolean;
    monthlyWeekdayMode: boolean;
    lastWeekDayOfMonthMode: boolean;
    monthlyModeTime: string;
    monthlyModeDay: string;
    secondModeSeconds: string;
    minuteModeMinutes: string;
    hourlyModeHours: string;
    dailyModeTime: string;
    weeklyModeTime: string;
    lastDayOfMonthModeTime: string;
    nthDayOfWeekIndex: string;
    nthDayOfWeekWeekday: string;
    outputCrontabString: string;
    customCrontabString: string;
}
