import { LocaleInterface } from "../../lang/locale-interface";
import { ValueAndLabel } from "../models/value-and-label";
export declare class TranslateService {
    locales: Record<string, LocaleInterface>;
    localizedWeekOrdinals: ValueAndLabel[];
    localizedWeekDays: ValueAndLabel[];
    localeCode: string;
    locale: LocaleInterface;
    constructor(locale: string);
    updateLocale(locale: string): void;
    get(locale: string): LocaleInterface;
}
